> For the complete documentation index, see [llms.txt](https://docs.akashicpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akashicpay.com/sdk/functions/gettransfers.md).

# getTransfers

This function takes a set of optional parameters to get a more specific subset of transactions

* `page` & `limit` For pagination. Page is zero-indexed. Allowed limit-values are 10, 25, 50, and 100
* `layer` Limit results to just [Layer 1](/introduction/terminology.md#layer-1) or [Layer 2](/introduction/terminology.md#layer-2) transactions
* `status` Limit results to only "Pending", "Confirmed", or "Failed" transactions
* `transactionType` Limit results to [ingoing](/introduction/terminology.md#deposit) or [outgoing](/introduction/terminology.md#payout-withdrawal) transactions. "Deposit" or "Withdraw"
* `startDate` and `endDate` Limit results by time
* `hideSmallTransactions` Set to true to exclude transactions below 1 USD in value
* `identifier` Filter results by [identifier](/guides/identifier-and-referenceid.md)
* `referenceId` Filter results by [referenceId](/guides/identifier-and-referenceid.md)

Note: `l2Txnhash` (the "L2-hash") should always be used as the unique identifier of a transaction. This is a unique transaction-hash for any transaction on [AkashicChain](/introduction/terminology.md#akashicchain). It is present for Confirmed deposits and Pending/Confirmed payouts. This is particularly important for the case of [Layer 2](/introduction/terminology.md#layer-2) transactions, which will not have a Layer 1 hash (`txHash`)

Note: `internalFee` refers to the[ L2 fees](https://docs.akashicscan.com/#layer-2-l2-fees) associated with transactions on AkashicChain.

## <mark style="color:blue;">Example</mark>

{% tabs %}
{% tab title="TypeScript" %}

```typescript
const transactions = await akashicPay.getTransfers({
    page: 0,
    limit: 10,
    layer: TransactionLayer.L1,
    status: TransactionStatus.CONFIRMED,
    startDate: new Date('2024-01-01'),
    endDate: new Date('2025-01-01'),
    hideSmallTransactions: true
});
```

{% endtab %}

{% tab title="PHP" %}

```php
$transactions = akashicPay.getTransfers([
    "page" => 0,
    "limit" => 10,
    "layer" => "L1Transaction",
    "status" => "Confirmed",
    "startDate" => date('2024-01-01),
    "endDate" => date('2025-01-01'),
    "hideSmallTransactions" => True
]);
```

{% endtab %}

{% tab title="Java" %}
{% code overflow="wrap" %}

```java
APTransactionsParam param = APTransactionsParam.builder(0, 10, new Date(2024,1,1), new Date(2025,1,1), APTransactionLayer.L1Transaction, APTransactionStatus.Confirmed, true).build();

APTransfersResult result = akashicPay.getTransfers(l2Address, param);
```

{% endcode %}
{% endtab %}

{% tab title="C#" %}
{% code overflow="wrap" %}

```csharp
var param = new ApTransactionsParam(0, 10, new DateTime(2024, 1, 1), new DateTime(2025, 1, 1), APTransactionLayer.L1Transaction, APTransactionStatus.Confirmed, true);

var result = await akashicPay.GetTransfersAsync(param);
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}

```go
transactions, err := ap.GetTransfers(akashicpay.IGetTransactions{
    Page:                  0,
    Limit:                 10,
    Layer:                 akashicpay.L1,
    Status:                akashicpay.CONFIRMED,
    StartDate:             time.Date(2024, 1, 1, 0, 0, 0, 0, time.UTC),
    EndDate:               time.Date(2025, 1, 1, 0, 0, 0, 0, time.UTC),
    HideSmallTransactions: true,
})
```

{% endtab %}
{% endtabs %}

## <mark style="color:blue;">Return Example</mark>

{% tabs %}
{% tab title="TypeScript" %}
{% code overflow="wrap" %}

```typescript
[
    {
      "fromAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "toAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "layer": TransactionLayer.L1,
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "1.000000",
      "coinSymbol": NetworkSymbol.Tron_Shasta,
      "status": TransactionStatus.CONFIRMED,
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
    {
      "fromAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "toAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "layer": TransactionLayer.L1,
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "100.000000",
      "coinSymbol": NetworkSymbol.Tron_Shasta,
      "status": TransactionStatus.CONFIRMED,
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "feesPaid": "14.123456",
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
]
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}

```php
[
    {
      "fromAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "toAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "layer": "L1Transaction",
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "1.000000",
      "coinSymbol": NetworkSymbol::TRON_SHASTA,
      "status": "Confirmed",
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
    {
      "fromAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "toAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "layer": "L1Transaction",
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "100.000000",
      "coinSymbol": NetworkSymbol::TRON_SHASTA,
      "status": "Confirmed",
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "feesPaid": "14.123456",
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
]
```

{% endtab %}

{% tab title="Java" %}

```java
[
    {
      "fromAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "toAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "layer": APTransactionLayer.L1Transaction,
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "1.000000",
      "coinSymbol": APNetworkSymbol.TRX_SHASTA,
      "status": APTransactionStatus.Confirmed,
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
    {
      "fromAddress": "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      "toAddress": "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      "layer": APTransactionLayer.L1Transaction,
      "date": "2024-08-19T10:03:58.649Z",
      "amount": "100.000000",
      "coinSymbol": APNetworkSymbol.TRX_SHASTA,
      "status": APTransactionStatus.Confirmed,
      "txHash": "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      "internalFee": {
        "deposit": "0.100000"
      },
      "feesPaid": "14.123456",
      "l2TxnHash": "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
]
```

{% endtab %}

{% tab title="C#" %}

```csharp
{
  "TransactionCount": 2841,
  "Transactions": [
    {
      "FromAddress": "TXHGwWiCUgiKjSNC3HtWCmiABAcmQgkQ7P",
      "ToAddress": "TF97xibDz9ba4bGm6SNBYDSXA4mbeBK6JW",
      "Layer": ApTransactionLayer.L1Transaction,
      "Date": "2024-09-12T14:03:57.548Z",
      "Amount": "1.000000",
      "NetworkSymbol": TronShastaNetworkSymbol,
      "Status": ApTransactionStatus.Confirmed,
      "L2TxnHash": "AS7376bfa5e3152ea6a6027e6f0bdf35e013979394448b4516298a54355c3555aa",
      "TokenSymbol": ApTokenSymbol.Usdt,
      "InternalFee": {
        "Deposit": null,
        "Withdraw": "1.000000"
      },
      "Identifier": "testuser",
      "TxHash": "9970322d75146f8c439d943d367e894059b8118453285906b42ea67a61915ac5"
    },
    {
      "FromAddress": "TR6vZK9Nvq2ZBETWGzU5VEgGQ2ZEH2NYcp",
      "ToAddress": "TF97xibDz9ba4bGm6SNBYDSXA4mbeBK6JW",
      "Layer": ApTransactionLayer.L1Transaction,
      "Date": "2024-09-12T14:02:57.652Z",
      "Amount": "1.000000",
      "NetworkSymbol": TronShastaNetworkSymbol,
      "Status": ApTransactionStatus.Confirmed,
      "L2TxnHash": "AS2612edced26e031ab1be08daf062dd195ce306a8d4e4eed9477b1c97c3e12448",
      "TokenSymbol": ApTokenSymbol.Usdt,
      "InternalFee": {
        "Deposit": null,
        "Withdraw": "1.000000"
      },
      "Identifier": "testuser",
      "TxHash": "645a42038b52ccec75b9edcdf7c8bf6ffeadc578975ec886abf9cadf5f350ce1"
    }
  ]
}
```

{% endtab %}

{% tab title="Go" %}

```go
[
    {
      FromAddress: "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      ToAddress: "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      Layer: akashicpay.L1,
      InitiatedAt: "2024-08-19T10:03:58.649Z",
      ConfirmedAt: "2024-08-19T10:05:23.231Z",
      Amount: "1.000000",
      CoinSymbol:akashicpay.TRX_SHASTA,
      TokenSymbol: "",
      Status: akashicpay.CONFIRMED,
      TxHash: "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      InternalFee: {
        Deposit: "0.100000"
      },
      DepositRequest: akashicPay.DepositRequest{}, // Populated if deposit requested with referenceId
      ReceiverInfo: akashicPay.UserInfo{Identity: "AS4850e9d8519ebe1f1979096f89b90b6efd0aa62535354965c5fbce94f54422c8"},
      SenderInfo: akashicPay.UserInfo{}, // Populated if a deposit
      L2TxnHash: "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
    {
      FromAddress: "TQH8ygbS8BAnzSQ9uxR9vXHJYMQVRvbgPg",
      ToAddress: "TTVkK6hGoAFhALG9NTkUDHjcFFXKmWcScU",
      Layer: akashicpay.L1,
      InitiatedAt: "2024-08-19T10:03:58.649Z",
      ConfirmedAt: "2024-08-19T10:05:23.231Z",
      Amount: "100.000000",
      CoinSymbol: akashicpay.TRX_SHASTA,
      TokenSymbol: akashicpay.USDT,
      Status: akashicpay.CONFIRMED,
      TxHash: "28a9880ad2ef3b7be1c40763128ec9630ab74e4749a3c81037c3501e4209bfcc",
      InternalFee: {
        Withdraw: "0.100000"
      },
      DepositRequest: akashicPay.DepositRequest{}, // Populated if deposit requested with referenceId
      SenderInfo: akashicPay.UserInfo{Identity: "AS4850e9d8519ebe1f1979096f89b90b6efd0aa62535354965c5fbce94f54422c8"},
      ReceiverInfo: akashicPay.UserInfo{}, // Populated if a deposit
      FeeIsDelegated: false,
      FeesPaid: "14.123456",
      L2TxnHash: "ASe7eb1cb8193787040fcffa02a224a6ced7415ff2205343c0ab661e898e8d6eef",
    },
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akashicpay.com/sdk/functions/gettransfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
